#
# spec file for package yast2-iscsi-lio-server
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-iscsi-lio-server
Version:        5.0.0
Release:        1.1
Summary:        Configuration of iSCSI LIO target
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-iscsi-lio-server

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
# Yast2::Execute.stdout
BuildRequires:  yast2 >= 4.1.42
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)

Requires:       python3-configshell-fb
Requires:       python3-rtslib-fb
Requires:       python3-targetcli-fb
# Yast2::Execute.stdout
Requires:       yast2 >= 4.1.42
Requires:       yast2-ruby-bindings >= 1.0.0

BuildArch:      noarch

%description
This package contains configuration of iSCSI LIO target

%prep
%setup -q

%build

%check
%yast_check

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_desktopdir}
%{yast_metainfodir}
%doc %{yast_docdir}
%{yast_icondir}
%license COPYING

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Fri Dec  2 2022 Kristijan Velkovski <me@krisfremen.com>
- Fix misspellings and syntax of UI text (bsc#1206409)
- 4.5.1
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Mon Jan 31 2022 Steffen Winterfeldt <snwint@suse.com>
- enhance documentation (bsc#1194911)
- 4.4.2
* Fri Apr 23 2021 Ladislav Slezák <lslezak@suse.cz>
- Removed check for "python3-targetcli-fb" package at runtime
  (bsc#1185199)
  - Tumbleweed does not include that package names, only
    python36-targetcli-fb and python38-targetcli-fb
  - The package is already installed via RPM dependencies
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Fri Apr 10 2020 Knut Anderssen <kanderssen@suse.com>
- Save service changes after writing the target config and not
  before preventing the lost of target changes (bsc#1166707)
- 4.2.5
* Wed Apr  8 2020 Knut Anderssen <kanderssen@suse.com>
- Fix check of discovery authentication status, enabling or
  disabling it correctly according to user selection (bsc#1166707)
- 4.2.4
* Wed Mar 11 2020 Josef Reidinger <jreidinger@suse.com>
- Fix usability issues in global tab (bsc#1127505)
- Fix crash when clicking Edit on empty table
- 4.2.3
* Wed Mar 11 2020 Knut Anderssen <kanderssen@suse.com>
- Propose to restart the targetcli service as the default action
  when it is active (bsc#1165638)
- 4.2.2
* Fri Jan 31 2020 Ancor Gonzalez Sosa <ancor@suse.com>
- Improve internationalization support (bsc#1162378).
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Tue Apr  2 2019 snwint@suse.com
- update iscsi config changes between SLE-12 and SLE-15 (bsc#1129971)
* Mon Mar  4 2019 aschnell@suse.com
- added error handling for loading discovery authentication data
  (bsc#1118502)
- 4.1.6
* Thu Feb 28 2019 snwint@suse.com
- update iscsi server setup documentation (bsc #1119698)
- 4.1.5
* Thu Feb 28 2019 aschnell@suse.com
- enable rubocop
- 4.1.4
* Wed Feb 20 2019 snwint@suse.com
- accept symlinks to block devices and files in dialogs (bsc#1123316)
- 4.1.3
* Mon Dec 17 2018 jlopez@suse.com
- Hardening commands execution (part of bsc#1118291).
- Replace backticks by Yast::Execute.
- 4.1.2
* Sun Nov 25 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.1
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Tue Aug  7 2018 dgonzalez@suse.com
- Use Yast2::ServiceWidget to manage the service status
  (part of fate#319428).
- 4.1.0
* Wed Jun 27 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- Changed UI layout.
- 4.0.11
* Wed May  2 2018 lszhu@suse.com
- bsc#1091626
  Change regular expression for matching a LUN path, in order
  to pick file names include special characters.
- 4.0.10
* Sat Apr 28 2018 lszhu@suse.com
- bsc#1091194
  Change Adding LUN dialog UI, place "Browse" button under LUN
  path input field, avoid unaligned UI.
- 4.0.9
* Tue Apr 10 2018 lszhu@suse.com
- bsc#1088677
  A better UI layout for IP selection combox and port input field
  in AddTarget Page.
- 4.0.8
* Mon Mar 26 2018 cwh@suse.com
- Added missing textdomain that breaks generating POT file
- 4.0.7
* Fri Mar 23 2018 lszhu@suse.com
- bsc#1086029
  Handle the case that users want to delete a LUNs which
  are not created yet (LUNs have data structure in memory but
  not execute command to create them).
* Thu Mar 22 2018 lszhu@suse.com
- bsc#1085421
  Handle the case that the storage of a LUN get disconnected
  accidentally.
* Mon Feb 12 2018 lszhu@suse.com
- fate#319238
  Add code to handle targetcli.service enable / disable.
* Thu Feb  1 2018 lszhu@suse.com
- fate#319238
  Replace targetcli-fb python2 requirements with python3 packages.
- 4.0.3
* Tue Jan 30 2018 lszhu@suse.com
- fate#323460, fate#319238
- Add firewalld read / write
- Rename required backend package to python3-targetcli-fb
- Add message when failed to install python3-targetcli-fb
- Remove message which shown when user set userid = mutual_userid
  Not leak this message since kernel keep slience.
- 4.0.2
* Fri Jan 26 2018 knut.anderssen@suse.com
- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.1
* Wed Dec 13 2017 lszhu@suse.com
- fate#319238 [yas2-iscsi-lio-server] refactor code to use
  targetcli-fb instead of lio-utils.
- 4.0.0
* Tue May 16 2017 lszhu@suse.com
- fix bsc#1037819, add translation markers in adding LUN page
  Removed trailing ":" from labels.
- 3.2.1
* Wed Feb 22 2017 lszhu@suse.com
- fate#318832, redesign authentication UI
- changed online help
- a bug fix for discovery session without authentication.
- 3.2.0
* Wed Jul  6 2016 gs@suse.de
- allow to remove global authentication values
  (bnc#919474, bnc#977342)
- 3.1.19
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.18
* Wed May  4 2016 gs@suse.de
- replace iSCSI "client" by "initiator" in labels, popups and
  help text (fate#319293)
- add hint to use different passwords for incoming and outgoing
  authentication (bsc#977173)
- 3.1.17
* Wed Jul 15 2015 gs@suse.de
- add info about the tpg status to targets overview
  (partial bug-fix for bnc#920380)
- 3.1.16
* Wed May 27 2015 lszhu@suse.de
- remove ":" in target name when identifier is empty (bnc#932170)
- 3.1.15
* Wed Mar  4 2015 gs@suse.de
- use 'ip addr show', don't show deprecated IPs
- 3.1.14
* Tue Feb  3 2015 gs@suse.de
- show a warning popup in case of empty client list (bnc #898261)
- 3.1.13
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.12
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.11
* Wed Sep  3 2014 gs@suse.de
- don't log user/password info (additional bug-fix for bnc #893362)
- 3.1.10
* Wed Aug 27 2014 gs@suse.de
- do not write user/password info to YaST log-file (bnc #893362)
- 3.1.9
* Thu Jul 24 2014 gs@suse.de
- bind all IP addresses to a target if requested by user
  (bnc #885688)
- 3.1.8
* Thu May 15 2014 gs@suse.de
- save configuration on Finish (call lio_dump and tcm_dump)
- 3.1.7
* Tue May  6 2014 gs@suse.de
- fixed integer conversion to string (bnc #874963)
- 3.1.6
* Wed Apr 30 2014 gs@suse.de
- fixed typos in help text (bnc #873026)
- 3.1.5
* Mon Apr 14 2014 gs@suse.de
- name of firewall service is service:target
- 3.1.4
* Tue Jan 14 2014 gs@suse.de
- use /etc/iet/ietd.conf instead of /etc/ietd.conf (bnc#800956)
- 3.1.3
* Tue Dec  3 2013 gs@suse.de
- disable authentication correctly for a new target (bnc #821613)
- 3.1.2
* Tue Nov 12 2013 gs@suse.de
- add IPv6 support (fate #316261)
- allow a client to access several LUNs, improve help text
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Apr 16 2013 fehr@suse.de
- mark error popup text for translation (bnc#813999)
* Mon Feb 11 2013 fehr@suse.de
- 2.23.2
- show error popup when service could not be started (bnc#801677)
* Thu Nov 15 2012 fehr@suse.de
- 2.23.1
- make lio_node --setchapauth be called with empty password to
  reset passwords
* Wed Nov 14 2012 fehr@suse.de
- remove option "No Auth" for client authentification (bnc#789261)
* Tue Nov  6 2012 fehr@suse.de
- fix problem with copying just added entries (bnc#788201)
* Wed Oct 31 2012 fehr@suse.de
- consistently use "iSCSI LIO Target" everywhere
* Tue Oct 30 2012 fehr@suse.de
- do not stop service when yast modules exits and service is not
  configured to be started at boot (bnc#787195)
* Thu Oct 25 2012 fehr@suse.de
- add lio-utils to Requires in spec.in
* Mon Oct  8 2012 fehr@suse.de
- fix size detection when using files as data source (bnc#769196)
* Mon Oct  1 2012 fehr@suse.de
- explicitely use LC_ALL=POSIX when parsing output (bnc#769196)
* Wed Sep 26 2012 fehr@suse.de
- 2.23.0
- update desktop file
* Tue Mar 27 2012 fehr@suse.de
- 2.17.1
- initial version of iscsi-lio-server (bnc#769196, FATE#312231)
